Package org.apache.sling.distribution.resources.impl.common

## Class SimpleModifiableResource

- java.lang.Object
- - org.apache.sling.api.adapter.SlingAdaptable
  - - org.apache.sling.api.resource.AbstractResource
    - - org.apache.sling.distribution.resources.impl.common.SimpleModifiableResource

All Implemented Interfaces:
  `org.apache.sling.api.adapter.Adaptable`, `org.apache.sling.api.resource.Resource`

    public class SimpleModifiableResource
    extends org.apache.sling.api.resource.AbstractResource

Resource that can be adapted to a ModifiableValueMap

### Field Summary

### Fields inherited from interface org.apache.sling.api.resource.Resource

`RESOURCE_TYPE_NON_EXISTING`

### Constructor Summary

Constructors
`SimpleModifiableResource​(org.apache.sling.api.resource.ResourceResolver resourceResolver, AbstractModifyingResourceProvider resourceProvider, String resourcePath, Map<String,​Object> properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<AdapterType> AdapterType` `adaptTo​(Class<AdapterType> type)`
`String` `getPath()`
`Map<String,​Object>` `getProperties()`
`org.apache.sling.api.resource.ResourceMetadata` `getResourceMetadata()`
`org.apache.sling.api.resource.ResourceResolver` `getResourceResolver()`
`String` `getResourceSuperType()`
`String` `getResourceType()`

### Methods inherited from class org.apache.sling.api.resource.AbstractResource

`getChild, getChildren, getName, getParent, getValueMap, hasChildren, isResourceType, listChildren`

### Methods inherited from class org.apache.sling.api.adapter.SlingAdaptable

`setAdapterManager, unsetAdapterManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleModifiableResource

    public SimpleModifiableResource​(org.apache.sling.api.resource.ResourceResolver resourceResolver,
                                    AbstractModifyingResourceProvider resourceProvider,
                                    String resourcePath,
                                    Map<String,​Object> properties)

### Method Detail

#### adaptTo

    public <AdapterType> AdapterType adaptTo​(Class<AdapterType> type)

Specified by:
  `adaptTo` in interface `org.apache.sling.api.adapter.Adaptable`

#### getPath

    public String getPath()

#### getResourceType

    public String getResourceType()

#### getResourceSuperType

    public String getResourceSuperType()

#### getResourceMetadata

    public org.apache.sling.api.resource.ResourceMetadata getResourceMetadata()

#### getResourceResolver

    public org.apache.sling.api.resource.ResourceResolver getResourceResolver()

#### getProperties

    public Map<String,​Object> getProperties()